Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageTranslateExtent Class Reference

`#include <vtkImageTranslateExtent.h>`

Inheritance diagram for vtkImageTranslateExtent:

[legend]
Collaboration diagram for vtkImageTranslateExtent:

[legend]
List of all members.

## Detailed Description

Changes extent, nothing else.

Date:
  2002/01/22 15:33:38

Revision:
  1.23

vtkImageTranslateExtent shift the whole extent, but does not change the data.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (78%)
  - Gobbi, David (10%)

CVS logs (CVSweb):
  - .`cxx` (`/Imaging/vtkImageTranslateExtent.cxx)`
  - .`h` (`/Imaging/vtkImageTranslateExtent.h)`

Tests:
  vtkImageTranslateExtent (Tests)

Definition at line 45 of file vtkImageTranslateExtent.h.

## Public Types
typedef vtkImageToImageFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetTranslation (int, int, int)
virtual void | SetTranslation (int[3])
virtual int * | GetTranslation ()
virtual void | GetTranslation (int &, int &, int &)
virtual void | GetTranslation (int[3])
## Static Public Methods
vtkImageTranslateExtent * | New ()
int | IsTypeOf (const char *type)
vtkImageTranslateExtent * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageTranslateExtent ()
| ~vtkImageTranslateExtent ()
void | ComputeInputUpdateExtent (int extent[6], int wholeExtent[6])
void | ExecuteInformation (vtkImageData *inData, vtkImageData *outData)
void | ExecuteInformation ()
void | ExecuteData (vtkDataObject *data)
## Protected Attributes
int | Translation [3]

## Member Typedef Documentation

typedef vtkImageToImageFilter vtkImageTranslateExtent::Superclass

| Reimplemented from vtkImageToImageFilter. Definition at line 49 of file vtkImageTranslateExtent.h.

## Constructor & Destructor Documentation

vtkImageTranslateExtent::vtkImageTranslateExtent | ( |  | ) | `[protected]`

vtkImageTranslateExtent::~vtkImageTranslateExtent | ( |  | ) | `[inline, protected]`

| Definition at line 60 of file vtkImageTranslateExtent.h.

## Member Function Documentation

vtkImageTranslateExtent* vtkImageTranslateExtent::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageTranslateExtent::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageToImageFilter.

int vtkImageTranslateExtent::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

virtual int vtkImageTranslateExtent::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

vtkImageTranslateExtent* vtkImageTranslateExtent::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageTranslateExtent::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageToImageFilter.

virtual void vtkImageTranslateExtent::SetTranslation | ( | int | ,
|  | int | ,
|  | int |
| ) | `[virtual]`

| Delta to change "WholeExtent". -1 changes 0->10 to -1->9.

virtual void vtkImageTranslateExtent::SetTranslation | ( | int | [3] | ) | `[virtual]`

| Delta to change "WholeExtent". -1 changes 0->10 to -1->9.

virtual int* vtkImageTranslateExtent::GetTranslation | ( |  | ) | `[virtual]`

| Delta to change "WholeExtent". -1 changes 0->10 to -1->9.

virtual void vtkImageTranslateExtent::GetTranslation | ( | int & | ,
|  | int & | ,
|  | int & |
| ) | `[virtual]`

| Delta to change "WholeExtent". -1 changes 0->10 to -1->9.

virtual void vtkImageTranslateExtent::GetTranslation | ( | int | [3] | ) | `[virtual]`

| Delta to change "WholeExtent". -1 changes 0->10 to -1->9.

void vtkImageTranslateExtent::ComputeInputUpdateExtent | ( | int | extent[6],
|  | int | wholeExtent[6]
| ) | `[protected, virtual]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageTranslateExtent::ExecuteInformation | ( | vtkImageData * | inData,
|  | vtkImageData * | outData
| ) | `[protected, virtual]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageTranslateExtent::ExecuteInformation | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented from vtkImageToImageFilter. Definition at line 66 of file vtkImageTranslateExtent.h. References vtkImageToImageFilter::ExecuteInformation().

void vtkImageTranslateExtent::ExecuteData | ( | vtkDataObject * | data | ) | `[protected]`

| Reimplemented from vtkImageToImageFilter.

## Member Data Documentation

int vtkImageTranslateExtent::Translation[3]`[protected]`

| Definition at line 62 of file vtkImageTranslateExtent.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageTranslateExtent.h